linux-mips
[Top] [All Lists]

Recommended gcc/binutils Versions for mips64 target?

To: linux-mips@linux-mips.org
Subject: Recommended gcc/binutils Versions for mips64 target?
From: engel@mathematik.uni-marburg.de
Date: Sat, 11 Dec 2004 09:50:45 +0100 (CET)
Importance: Normal
Original-recipient: rfc822;linux-mips@linux-mips.org
Sender: linux-mips-bounce@linux-mips.org
User-agent: SquirrelMail/1.4.3a
Hi,

I'm currently trying to cross-compile a kernel (2.6.10-pre3 from cvs with
the IP30 patch from Stanislaw) for my Octane (IP30) on Linux/amd64.

What versions of gcc and binutils are currently recommended
for crosscompiling? The target should simply be mips64-linux if I read the
Makefile correctly? This has caused problems as my binutils version
2.15.92.0.2 configured with mips64-linux didn't produce a linker that was
capable of using elf64btsmip, mips64-linux-gnu did work.

I'm also a bit confused as to why IP30 support is located in the arch/mips/
hierarchy and not arch/mips64/. IIRC, the Octane definitely needs a 64 bit
kernel to boot?

regards,
    Michael



<Prev in Thread] Current Thread [Next in Thread>